Page MenuHomePhabricator

Upgrade memkeys to its latest upstream
Closed, ResolvedPublic

Description

We are currently using memkeys version packaged in 2013 from https://github.com/tumblr/memkeys (from what I can see in control), but the repository of the author (https://github.com/bmatheny/memkeys) seems to have reached version 0.2 with commits up to 2018.

I still need to verify how many improvements it contains, but the version that we have is a bit "shaky":

elukey@mc1035:~$ memkeys --helpp
Segmentation fault

Details

Related Gerrit Patches:
operations/debs/memkeys : debianRelease latest upstream

Event Timeline

elukey triaged this task as Medium priority.Oct 31 2018, 6:54 AM
elukey created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 31 2018, 6:54 AM

Change 470773 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/debs/memkeys@debian] Release latest upstream

https://gerrit.wikimedia.org/r/470773

Change 470773 merged by Elukey:
[operations/debs/memkeys@debian] Release latest upstream

https://gerrit.wikimedia.org/r/470773

Mentioned in SAL (#wikimedia-operations) [2018-10-31T09:24:31Z] <elukey> upgraded memkeys to 20181031-1 on all the mc* - T208376

elukey closed this task as Resolved.Oct 31 2018, 9:24 AM

Mentioned in SAL (#wikimedia-operations) [2019-05-20T06:20:10Z] <elukey> upgrade memkeys to version 20181031-1 on all the mc* hosts (was deployied only on a few of them) - T208376